// ----------------------------------------------------------------------------
//
// ftSchnit.PAS/DFM                                      Ulrich Mller 21.11.05
//                                                       PCS1700     Delphi4.03
// ftTeach : Schnittstellendaten
//
// ----------------------------------------------------------------------------

unit ftSchnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmSchnitt = class(TForm)
    lblTitel: TLabel;
    cmdOK: TButton;
    cmdEnde: TButton;
    cboInterface: TComboBox;
    cboPort: TComboBox;
    procedure FormCreate(Sender: TObject);
    procedure cmdEndeClick(Sender: TObject);
    procedure cmdOKClick(Sender: TObject);
    procedure cboInterfaceClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmSchnitt: TfrmSchnitt;

implementation

{$R *.DFM}

uses ftMain;

procedure TfrmSchnitt.FormCreate(Sender: TObject);
// --- Aktuelle Werte ------------------------------------------------------
begin
  COMTypen := [1, 2, 3, 5];
  case ifTyp of
    0   : cboInterface.ItemIndex := 0;
    10  : cboInterface.ItemIndex := 1;
    20  : cboInterface.ItemIndex := 2;
    50  : cboInterface.ItemIndex := 3;
    60  : cboInterface.ItemIndex := 4;
    70  : cboInterface.ItemIndex := 5;
    80  : cboInterface.ItemIndex := 6;
    90  : cboInterface.ItemIndex := 7;
    110 : cboInterface.ItemIndex := 8;
  end;
  cboPort.ItemIndex := ifNr;
  if cboInterface.ItemIndex in COMTypen then cboPort.Enabled := true
  else cboPort.Enabled := false;
end;

procedure TfrmSchnitt.cmdEndeClick(Sender: TObject);
// --- Abbruch-return, keine Wertbergabe ----------------------------------
begin
  Self.Close;
end;

procedure TfrmSchnitt.cmdOKClick(Sender: TObject);
// --- Return mit bernahme der eingestellten Werte -----------------------
begin
  ifName := cboInterface.Text;
  ifPort := cboPort.Text;
  case cboInterface.ItemIndex of
    0 : ifTyp := 0;
    1 : ifTyp := 10;
    2 : ifTyp := 20;
    3 : ifTyp := 50;
    4 : ifTyp := 60;
    5 : ifTyp := 70;
    6 : ifTyp := 80;
    7 : ifTyp := 90;
    8 : ifTyp := 110;
  end;
  if cboPort.ItemIndex = 0 then ifNr := 0 else ifNr := cboPort.ItemIndex;
  Self.Close;
end;

procedure TfrmSchnitt.cboInterfaceClick(Sender: TObject);
// ----- Umschalten Port --------------------------------------------------
begin
  if cboInterface.ItemIndex in COMTypen then begin
    cboPort.ItemIndex := 1;
    cboPort.Enabled := true
  end
  else begin
    cboPort.ItemIndex := 0;
    cboPort.Enabled := false;
  end;
end;

end.
